﻿@model StarterProjectV2.ViewModels.FinancialYearViewModel

@{
    ViewData["Title"] = "Financial Year Management";
}
@section PAGETITLE{
    Financial Year Management
}

<h2 class="text-center" style="color:indianred">@ViewData["Title"]</h2>
<body style="background-color: oldlace">
<div class="card" style="margin-bottom: 0">

    <div class="table-responsive-lg">
        <table id="mainTable1" data-pagination="true" class="table  table-light  table-hover" style="margin-bottom: 0">
            <thead style="color: white; background-color:#315152">

                <tr>

                    <th scope="col">Year</th>
                    <th scope="col">From Month</th>
                    <th scope="col">To Month</th>
                    <th scope="col">View</th>
                </tr>
            </thead>
            <tbody>
                @{
                    int noOfdata = Model.FinancialYearList.Count();
                }
                @if (noOfdata != 0)
                {
                    foreach (var md in Model.FinancialYearList)
                    {
                        <tr>
                            <td>@md.Year</td>
                            <td>@md.FromMonth.ToString("dd-MMM-yyyy")</td>
                            <td>@md.ToMonth.ToString("dd-MMM-yyyy")</td>
                            <td>
                                <button type="button"
                                        class="btn btn-light"
                                        data-toggle="tooltip"
                                        data-placement="bottom"
                                        title="View"
                                        onclick="location.href = '@Url.Action("FinancialYearView", "UserDetails", new { finId = md.FinId })'">
                                    <i class="icon-eye">
                                    </i>
                                </button>
                            </td>
                        </tr>
                    }
                }
            </tbody>
        </table>
    </div>
</div>
    </body>

<script>

    $(document).ready(function() {
        var taskRoles = "@Model.TaskRoles";

        if (taskRoles[1] == '0') {
            $("#newItem").remove();
        }
    });
</script>


<script>

    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
</script>
<script>
    var clicked = false;
    $("#Select").on("click", function () {
        $(".form-check-input").prop("checked", !clicked);
        clicked = !clicked;
    });


    $(document).ready(function() {
        $("#newItem").click(function () {
            document.location = '@Url.Action("CreatingAFinancialYear", "UserDetails")';
        });

        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $("#reportItem").remove();
        $("#dashboardItem").remove();
        $('#printItem').click(function(){
            window.print();
        });

        $('#reloadItem').click(function() {
            location.reload();
        });

    });
</script>



